org.apache.axiom.soap

## Interface SOAP11Constants

- All Superinterfaces:
    SOAPConstants
  All Known Implementing Classes:
    SOAP11BuilderHelper, SOAP11Version

      public interface SOAP11Constants
      extends SOAPConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTR_ACTOR` Field ATTR_ACTOR
    `static String` | `FAULT_CODE_RECEIVER`
    `static String` | `FAULT_CODE_SENDER`
    `static QName` | `QNAME_ACTOR`
    `static QName` | `QNAME_FAULT_CODE`
    `static QName` | `QNAME_FAULT_DETAIL`
    `static QName` | `QNAME_FAULT_REASON`
    `static QName` | `QNAME_FAULT_ROLE`
    `static QName` | `QNAME_MU_FAULTCODE`
    `static QName` | `QNAME_RECEIVER_FAULTCODE`
    `static QName` | `QNAME_SENDER_FAULTCODE`
    `static String` | `SOAP_11_CONTENT_TYPE`
    `static String` | `SOAP_ACTOR_NEXT`
    `static String` | `SOAP_ENCODING_NAMESPACE_URI`
    `static String` | `SOAP_ENVELOPE_NAMESPACE_URI`
    `static String` | `SOAP_FAULT_ACTOR_LOCAL_NAME` Field SOAP_FAULT_ACTOR_LOCAL_NAME
    `static String` | `SOAP_FAULT_CODE_LOCAL_NAME` Field SOAP_FAULT_CODE_LOCAL_NAME
    `static String` | `SOAP_FAULT_DETAIL_LOCAL_NAME`
    `static String` | `SOAP_FAULT_STRING_LOCAL_NAME` Field SOAP_FAULT_STRING_LOCAL_NAME

    - ### Fields inherited from interface org.apache.axiom.soap.SOAPConstants

      `ATTR_MUSTUNDERSTAND, ATTR_MUSTUNDERSTAND_0, ATTR_MUSTUNDERSTAND_1, ATTR_MUSTUNDERSTAND_FALSE, ATTR_MUSTUNDERSTAND_TRUE, BODY_FAULT_LOCAL_NAME, BODY_LOCAL_NAME, BODY_NAMESPACE_PREFIX, FAULT_CODE_DATA_ENCODING_UNKNOWN, FAULT_CODE_MUST_UNDERSTAND, FAULT_CODE_VERSION_MISMATCH, HEADER_LOCAL_NAME, SOAP_DEFAULT_NAMESPACE_PREFIX, SOAP_FAULT_DETAIL_EXCEPTION_ENTRY, SOAPBODY_FIRST_CHILD_ELEMENT_QNAME, SOAPENVELOPE_LOCAL_NAME, SOAPFAULT_DETAIL_LOCAL_NAME, SOAPFAULT_LOCAL_NAME`

- - ### Field Detail

    - #### SOAP_ENVELOPE_NAMESPACE_URI

          static final String SOAP_ENVELOPE_NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### SOAP_ENCODING_NAMESPACE_URI

          static final String SOAP_ENCODING_NAMESPACE_URI

      See Also:
        Constant Field Values

    - #### ATTR_ACTOR

          static final String ATTR_ACTOR

      Field ATTR_ACTOR
      See Also:
        Constant Field Values

    - #### SOAP_FAULT_CODE_LOCAL_NAME

          static final String SOAP_FAULT_CODE_LOCAL_NAME

      Field SOAP_FAULT_CODE_LOCAL_NAME
      See Also:
        Constant Field Values

    - #### SOAP_FAULT_STRING_LOCAL_NAME

          static final String SOAP_FAULT_STRING_LOCAL_NAME

      Field SOAP_FAULT_STRING_LOCAL_NAME
      See Also:
        Constant Field Values

    - #### SOAP_FAULT_ACTOR_LOCAL_NAME

          static final String SOAP_FAULT_ACTOR_LOCAL_NAME

      Field SOAP_FAULT_ACTOR_LOCAL_NAME
      See Also:
        Constant Field Values

    - #### SOAP_FAULT_DETAIL_LOCAL_NAME

          static final String SOAP_FAULT_DETAIL_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### SOAP_11_CONTENT_TYPE

          static final String SOAP_11_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### FAULT_CODE_SENDER

          static final String FAULT_CODE_SENDER

      See Also:
        Constant Field Values

    - #### FAULT_CODE_RECEIVER

          static final String FAULT_CODE_RECEIVER

      See Also:
        Constant Field Values

    - #### SOAP_ACTOR_NEXT

          static final String SOAP_ACTOR_NEXT

      See Also:
        Constant Field Values

    - #### QNAME_ACTOR

          static final QName QNAME_ACTOR

    - #### QNAME_MU_FAULTCODE

          static final QName QNAME_MU_FAULTCODE

    - #### QNAME_SENDER_FAULTCODE

          static final QName QNAME_SENDER_FAULTCODE

    - #### QNAME_RECEIVER_FAULTCODE

          static final QName QNAME_RECEIVER_FAULTCODE

    - #### QNAME_FAULT_REASON

          static final QName QNAME_FAULT_REASON

    - #### QNAME_FAULT_CODE

          static final QName QNAME_FAULT_CODE

    - #### QNAME_FAULT_DETAIL

          static final QName QNAME_FAULT_DETAIL

    - #### QNAME_FAULT_ROLE

          static final QName QNAME_FAULT_ROLE

Copyright © The Apache Software Foundation. All Rights Reserved.